#
# spec file for package kqemu-kmp (Version 1.4.0pre1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo


Name:           kqemu-kmp
BuildRequires:  kernel-syms module-init-tools
Group:          System/Kernel
AutoReqProv:    on
Summary:        The QEMU Accelerator Module
Version:        1.4.0pre1
Release:        4.1
Source:         http://fabrice.bellard.free.fr/qemu/kqemu-%{version}.tar.gz
Url:            http://fabrice.bellard.free.fr/qemu/
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
%suse_kernel_module_package -n kqemu -p %_sourcedir/preamble kdump um
%define kernel_version  %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-source`|sed 's/_/-/g;')

%description
The QEMU Accelerator Module increases the speed of QEMU when a PC is
emulated on a PC. It runs most of the target application code directly
on the host processor to achieve near native performance. It is very
useful when you want to run another Operating System (for example
Windows) on a Linux desktop.



Authors:
--------
    Fabrice Bellard

%package -n kqemu-KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        The QEMU Accelerator Module

%description -n kqemu-KMP
The QEMU Accelerator Module increases the speed of QEMU when a PC is
emulated on a PC. It runs most of the target application code directly
on the host processor to achieve near native performance. It is very
useful when you want to run another Operating System (for example
Windows) on a Linux desktop.



%prep
%setup -n kqemu-%{version}

%build
echo "flavors_to_build: %{flavors_to_build}"

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
     ./configure --kernel-path=/usr/src/linux-obj/%_target_cpu/$flavor
     make clean
     make
     make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install M=$PWD
done

%changelog
* Tue Oct 14 2008 seife@suse.de
- add "Enhances: kernel-%%1" to the build (bnc#429254)
* Thu Sep  4 2008 pnemec@suse.cz
- updated to 1.4.0pre1 which fix
  compatibility with current qemu
* Tue Mar 18 2008 seife@suse.de
- build fix for 2.6.25
* Thu Mar 13 2008 ro@suse.de
- use makefile for installation
* Mon Jun 11 2007 ro@suse.de
- no main package, no debuginfo
* Wed Apr  4 2007 lrupp@suse.de
- added module-init-tools to BuildRequires
* Thu Mar 22 2007 seife@suse.de
- fix build against "2.6.21-rc4_git5-2"-type kernel versions
* Tue Feb 27 2007 ro@suse.de
- check in with fixed license data
* Wed Feb 14 2007 seife@suse.de
- update to 1.3.0pre11, GPLed version
* Sat Nov 11 2006 dmacvicar@suse.de
- Initial package for 1.3.0pre9-
